Interlaken
API referenceAgents and workflowsWorkspaces

Get the workspace's CI/CD status: tracked branch, last seen/deployed sha, Coolify app status, live URL. Read this to verify a push deployed.

GET
/api/v1/workspaces/{id}/cicd

Requires the workspaces:read permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/workspaces/string/cicd"
{  "app_status": "string",  "app_uuid": "string",  "backend_url": "string",  "branch": "string",  "deploy_error": "string",  "deploy_status": "string",  "enabled": true,  "last_deploy_at": "2019-08-24T14:15:22Z",  "last_deploy_sha": "string",  "last_deploy_uuid": "string",  "last_error": "string",  "last_seen_sha": "string",  "live_url": "string",  "storefront_app_uuid": "string",  "storefront_deploy_status": "string",  "storefront_status": "string",  "webhook_registered": true}